QGIS Application - Bug report #8644
Models with utf-8 description can't be executed
2013-09-22 08:49 AM - Borys Jurgiel

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:2.0.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 17376

Description

Can't run models with utf-8 characters in description:
AlgorithmExecutionDialog.__init__(self, alg, self.scrollArea)

File "/home/borys/sources/qgis/build/output/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 98, in init

if self.alg.helpFile():

File "/home/borys/sources/qgis/build/output/python/plugins/processing/modeler/ModelerAlgorithm.py", line 685, in helpFile

return h2h.getHtmiFile(self, helpfile)

File "/home/borys/sources/qgis/build/output/python/plugins/processing/gui/Help2Html.py", line 54, in getHtmlIFile

tempHtml.write(s)

UnicodeEncodeError: 'ascii' codec can't encode character u\\u015b' in position 110: ordinal not in range(128)

History

#1 - 2014-01-11 09:54 AM - Salvatore Larosa
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit.e4c60ad

#2 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
